const { ccclass } = cc._decorator;

@ccclass
export default class auto_dialogView extends cc.Component {
	dialogView: cc.Node;
	imgMask: cc.Node;
	Bg: cc.Node;
	img3JiBtDi: cc.Node;
	title: cc.Node;
	btnClose: cc.Node;
	DescLabel: cc.Node;
	layout: cc.Node;
	btnCancel: cc.Node;
	txtCancel: cc.Node;
	btnConfirm: cc.Node;
	txtConfirm: cc.Node;

	public static URL:string = "db://assets/bundle/dialogView/dialogView.prefab"

    onLoad () {
		this.dialogView = this.node
		this.imgMask = this.dialogView.getChildByName("imgMask");
		this.Bg = this.imgMask.getChildByName("Bg");
		this.img3JiBtDi = this.Bg.getChildByName("img3JiBtDi");
		this.title = this.Bg.getChildByName("title");
		this.btnClose = this.Bg.getChildByName("btnClose");
		this.DescLabel = this.Bg.getChildByName("DescLabel");
		this.layout = this.Bg.getChildByName("layout");
		this.btnCancel = this.layout.getChildByName("btnCancel");
		this.txtCancel = this.btnCancel.getChildByName("txtCancel");
		this.btnConfirm = this.layout.getChildByName("btnConfirm");
		this.txtConfirm = this.btnConfirm.getChildByName("txtConfirm");

    }
}
